aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/gather.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash/function/gather.sh')
-rw-r--r--resources/libraries/bash/function/gather.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index 1d00f6b0d0..bdcf1c46a8 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -272,9 +272,16 @@ function gather_vpp () {
warn "Downloading latest VPP packages from Packagecloud."
else
warn "Downloading stable VPP packages from Packagecloud."
- VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
- die "Read VPP stable version failed."
- }
+ if [[ "${TEST_CODE}" == *"device"* ]];
+ then
+ VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU_BIONIC")" || {
+ die "Read VPP stable version failed."
+ }
+ else
+ VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
+ die "Read VPP stable version failed."
+ }
+ fi
fi
source "${BASH_FUNCTION_DIR}/artifacts.sh" || die "Source failed."
download_artifacts || die